import { DomWrapper } from "igniteui-webcomponents-core";
import { Type } from "igniteui-webcomponents-core";
import { FontInfo } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export interface IEditorView {
    readonly container: DomWrapper;
    value: any;
    setFont(a: FontInfo): void;
    attachEvents(): void;
    detachEvents(): void;
    onTargetChanged(): void;
    onEditEnded(): void;
    onEditStarted(): void;
    cleanUp(): void;
    focus(): void;
    valueProvided: (sender: IEditorView, value: any, ignoreValue: boolean) => void;
    userTyping: (sender: IEditorView) => void;
    gotFocus: (sender: IEditorView) => void;
    lostFocus: (sender: IEditorView) => void;
}
/**
 * @hidden
 */
export declare let IEditorView_$type: Type;
